Skip to main content
GET
/
v1
/
inbound-source-configs
/
{id}
Read an inbound source config
curl --request GET \
  --url https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "bacenSystemCode": "<string>",
  "bacenSystemFilterCode": "<string>",
  "createdAt": "<string>",
  "credentialId": "<string>",
  "deletedAt": "<string>",
  "displayName": "<string>",
  "id": "<string>",
  "intervalSeconds": 123,
  "isEnabled": true,
  "maxFileSizeBytes": 123,
  "retentionDays": 123,
  "sourceProduct": "<string>",
  "updatedAt": "<string>",
  "urgencyEnabled": true
}
{}
{}
{}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

id
string
required

Inbound source config UUID

Response

OK

bacenSystemCode
string
bacenSystemFilterCode
string
createdAt
string
credentialId
string

CredentialID is the UUID string of the BACEN credential bound to this inbound source (mandatory and always present).

deletedAt
string
displayName
string
id
string
intervalSeconds
integer
isEnabled
boolean
maxFileSizeBytes
integer
retentionDays
integer
sourceProduct
string
updatedAt
string
urgencyEnabled
boolean